#ifndef MODELTABLEWIDGET_H
#define MODELTABLEWIDGET_H

#include <QWidget>
#include <QTreeView>
#include <QLineEdit>
#include <QComboBox>
#include <QToolBar>
#include <QSqlQueryModel>
#include "form/formdialog.h"
#include "form/abstractform.h"

class ModelTableWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ModelTableWidget(QWidget *parent = 0);
void setModel(QSqlQueryModel * model);
void setForm(AbstractForm * form);
signals:

public slots:
void addRecord();
void editRecord();
void deleteRecord();
void refresh();
private:
    QTreeView * mTreeView;
    QLineEdit * mLineEdit;
    QComboBox * mComboBox;
    QToolBar * mToolBar;
    AbstractForm * mForm;
    QString mTableName;
};

#endif // MODELTABLEWIDGET_H
