#include "centreannuaireform.h"

CentreAnnuaireForm::CentreAnnuaireForm(QWidget *parent) :
        AbstractForm(parent)
{

    mFgb = new FieldListGroupBox("annuaires_centres");
    setMainWidget(mFgb);
    setupUi();
    mCentreId = -1;

}
void CentreAnnuaireForm::setCentreId(int centreId)
{
    mCentreId = centreId;


}

void CentreAnnuaireForm::setupUi()
{
    ModelFieldWidget * centreField = new ModelFieldWidget("centres","numero");
    ModelFieldWidget * annuaireField = new ModelFieldWidget("annuaires","nom");


    mFgb->fieldList()->addField("numero du centre", "centre_id", centreField);
    mFgb->fieldList()->addField("intervenant", "annuaire_id", annuaireField);


}

void CentreAnnuaireForm::save()
{
    mFgb->fieldList()->save();

}

void CentreAnnuaireForm::load(QSqlRecord record)
{
mFgb->fieldList()->load(record);

}
