#ifndef ABSTRACTSHARTITEM_H
#define ABSTRACTSHARTITEM_H

#include <QGraphicsItem>
#include <QObject>
#include <QPainter>
#include <QTransform>
#include <QGraphicsSceneMouseEvent>
#include <QDebug>


class AbstractShartItem : public QObject,public QGraphicsRectItem
{
Q_OBJECT
public:
    explicit AbstractShartItem(QObject * parent=0);

signals:
void optionClicked();

protected:

    void mousePressEvent ( QGraphicsSceneMouseEvent * event );
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);
    void mouseMoveEvent ( QGraphicsSceneMouseEvent * event );
    virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
               QWidget *widget);

private:
    bool mIsResizing;
 QPoint mOldPosition;


};

#endif // ABSTRACTSHARTITEM_H
