#ifndef QUERYLISTWIDGET_H
#define QUERYLISTWIDGET_H

#include <QWidget>
#include <QListWidget>
#include <QLineEdit>

#include "queryeditor.h"
#include "form/formdialog.h"
class QueryListWidget : public QWidget
{
Q_OBJECT
public:
    explicit QueryListWidget(QWidget *parent = 0);

    const QString& currentQuery();
    int currentQueryIndex();
signals:

public slots:
void add();
void edit();
void del();
void refresh();

private:
    QListWidget * mListWidget;
    QLineEdit * mLineEdit;
    QueryEditor * mEditor;

};

#endif // QUERYLISTWIDGET_H
